WhiteSource-Artifactory-Plugin
==============================

This plugin integrates Artifactory Artifacts with WhiteSource.
The Artifactory plugin adds additional information to your artifacts.

The Artifactory plugin works in the following modes:
====================================================
1. Cron based job - when invoked, repositories artifacts will be checked
   in WhiteSource and additional data will be added to the property tab
   of each artifact.
2. Adding new Artifact - when uploaded, new artifact will be checked in
   WhiteSource. Policies will be checked and additional data will be
   added to the property tab of the artifact.
3. Downloading Artifact - when artifact is downloaded or installed, 
   artifact will be checked in WhiteSource. Policies will be checked and 
   additional data will be added to the property tab of the artifact.
   If artifact have policy violation, then artifact will be blocked and 
   failed to be downloaded.
4. Download Remote Artifact - when trying to install artifact from remote repository,
   artifact will be checked in WhiteSource. Policies will be checked and
   additional data will be added to the property tab of the artifact in case
   artifact doesn't violate WhiteSource policies.
   If artifact violates WhiteSource policies then it will be blocked and 
   not installed into artifactory server remote repository.

   
How it Works
============
1. Copy whitesource-artifactory-plugin.groovy and whitesource-artifactory-plugin.properties
   files to artifactory plugins directory.
2. Create a 'lib' folder under artifactory plugins directory and add jar whitesource-artifactory-plugin.jar in it.
3. Schedule the job in whitesource-artifactory-plugin.groovy file.
4. Rerun Artifactory server

Cron Scheduling Guide:
========================

1. Open the whitesource-artifactory-plugin.groovy file in your text editor 
2. Set the scanRepositoriesCron variable to the desired cron schedule

Cron parameters (from left to right) :
1 - seconds
2 - Minutes
3 - Hours
4 - Day-of-Month
5 - Month
6 - Day-of-Week
7 - Year (optional field).

Examples:
"0 42 10 * * ?" - Build a trigger that will fire daily at 10:42 am.
"0 0/2 8-17 * * ?" - Build a trigger that will fire every other minute,
between 8am and 5pm, every day.
